// @charset utf-8;
/**
*@version 2.3
*@AKAI Anna stable for Nokia s40 6-th edition
*@vendor vl@volk
*@idea by limil
*/

import java.io.*;
import javax.microedition.media.*;

public class AKAISound {
 public Player[] player;

/* Этот конструктор предназначен для воспроизведения музыки из массива разных мелодий и миме-типов. Наданный момент не используется.
 public AKAISound( String[] name, String[] mime, int players ) {
  player = new Player[ players ];
  for( int i = 0; i < players; i++ ) {
   try {
    try {
     player[ i ] = Manager.createPlayer(getClass().getResourceAsStream( "/" + name[ i ] ), mime[ i ] );
     player[ i ].realize();
     player[ i ].prefetch();
    }
    catch( MediaException me ) {
     me.printStackTrace();
    }
   }
   catch( IOException ioe ) {
    ioe.printStackTrace();
   }
  }
 } */

 public AKAISound( String[] name, String mime, int players ) {
  player = new Player[ players ];
  for( int i = 0; i < players; i++ ) {
   try {
    try {
     player[ i ] = Manager.createPlayer(getClass().getResourceAsStream( "/" + name[ i ] ), mime );
     player[ i ].realize();
     player[ i ].prefetch();
    }
    catch( MediaException me ) {
     me.printStackTrace();
    }
   }
   catch( IOException ioe ) {
    ioe.printStackTrace();
   }
  }
 }

 public void playSounds( int index, int loop, boolean flag ) {
  try {
   if ( flag ) { player[ index ].setLoopCount( loop ); }
   player[ index ].start();
  }
  catch( MediaException me ) {
   me.printStackTrace();
  }
 }

 public void stopSound( int num ) {
  if( player[ num ].getState() != 400 ) {
   try {
    player[ num ].stop();
    player[ num ].deallocate();
   }
   catch ( MediaException me ) {
    me.printStackTrace();
   }
  }
 }

 public void momentalStopSound( int num ) {
  try {
   player[ num ].stop();
   player[ num ].deallocate();
  }
  catch ( MediaException me ) {
   me.printStackTrace();
  }
 }
}
